Skip to main content
GET
/
websocket-applications
/
{websocketApplication}
/
metrics
Get WebSocket application metrics
curl --request GET \
  --url https://cloud.laravel.com/api/websocket-applications/{websocketApplication}/metrics \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://cloud.laravel.com/api/websocket-applications/{websocketApplication}/metrics"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://cloud.laravel.com/api/websocket-applications/{websocketApplication}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "connection_count": {
      "labels": [
        "<string>"
      ],
      "average": [
        123
      ],
      "data": [
        {
          "x": "<string>",
          "y": [
            123
          ]
        }
      ]
    },
    "message_rate": {
      "labels": [
        "<string>"
      ],
      "average": [
        123
      ],
      "data": [
        {
          "x": "<string>",
          "y": [
            123
          ]
        }
      ]
    }
  },
  "meta": {
    "period": "<string>",
    "available_periods": [
      "<string>"
    ]
  }
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

websocketApplication
string
required

The websocket application identifier

Query Parameters

period
enum<string> | null
Available options:
6h,
24h,
3d,
7d,
30d

Response

data
object
required
meta
object
required